package types

import (
	"context"
	"wartank/pkg/components/safebool"
)

/*
	Интерфейс к сражению
*/

// IDivWarOn -- интерфейс к непосредственному сражению
type IDivWarOn interface {
	ISection
	// Net -- возвращает сетевой компонент сражения
	Net() ISectionNet
	// IsEnd -- признак окончания сражения
	// IsEnd() *isdivwar.IsDivWar
	// Manevr -- выполняет манёвр по требованию
	Manevr()
	// Masking -- признак запрета на стрельбу
	// Masking() *isrepair.IsRepair
	// Ctx -- возвращает контекст битвы
	Ctx() context.Context
	// CancelBattle -- вызывает контекст отмены битвы
	CancelBattle()
	// IsEnd -- признак окончания битвы дивизий
	IsEnd() *safebool.SafeBool
	// Masking -- объект маскировки
	Masking() *safebool.SafeBool
}
